;-| Button Remapping |-----------------------------------------------------
; This section lets you remap the player's buttons (to easily change the
; button configuration). The format is:
;   old_button = new_button
; If new_button is left blank, the button cannot be pressed.
[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 15

; Default value for the "buffer.time" parameter of a Command. Minimum 1,
; maximum 30.
command.buffer.time = 1


;-| Special Motions |------------------------------------------------------
[Command]
name = "zjR}h"
command = ~D, DB, B

[Command]
name = "zj"
command = ~D, DB, B, a


[Command]
name = "rR}h"
command = ~B, DB, D, DF, F

[Command]
name = "r"
command = ~B, DB, D, DF, F, y


[Command]
name = "rR}h"
command = ~F, B, F

[Command]
name = "r"
command = ~F, B, F, x


[Command]
name = "aR}h"
command = ~D, DF, F

[Command]
name = "a"
command = ~D, DF, F, x

[Command]
name = "a"
command = ~D, DF, F, y

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

[Command]
name = "ςȂx"
command = /$x
time = 1


[Command]
name = "ςȂy"
command = /$y
time = 1

[Command]
name = "ςȂa"
command = /$a
time = 1

[Command]
name = "ςȂb"
command = /$b
time = 1

[Command]
name = "ςȂz"
command = /$z
time = 1

[Command]
name = "ςȂc"
command = /$c
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1


[Command]
name = "F"
command = F
time = 1

[Command]
name = "B"
command = B
time = 1

[Command]
name = "U"
command = U
time = 1

[Command]
name = "D"
command = D
time = 1

[command]
name = "fwd"
command = F
time = 1

[command]
name="back"
command = B
time = 1

[command]
name = "up"
command = U
time = 1

[command]
name = "down"
command = D
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

;===========================================================================
;AI
[Command]
name = "AI01"
command = a+b+z,UB,b+x+s,DF
time = 0
[Command]
name = "AI02"
command = a+c+z,UF,b+y+s,DB
time = 0
[Command]
name = "AI03"
command = a+x+z,UB,b+z+s,DF
time = 0
[Command]
name = "AI04"
command = a+y+z,UF,b+c+s,DB
time = 0
[Command]
name = "AI05"
command = c+x+z,DF,y+z+s,UB
time = 0
[Command]
name = "AI06"
command = c+y+z,DB,y+a+s,UF
time = 0
[Command]
name = "AI07"
command = c+s+z,DF,y+b+s,UB
time = 0
[Command]
name = "AI08"
command = c+y+s,DB,y+c+s,UF
time = 0
[Command]
name = "AI09"
command = a+b+c+x,UF,y+z+s,UB,DF
time = 0
[Command]
name = "AI10"
command = a+b+c+y,UF,y+z+s,UB,DF
time = 0
[Command]
name = "AI11"
command = a+b+c+z,UF,y+z+s,UB,DF
time = 0
[Command]
name = "AI12"
command = a+b+c+s,UF,y+z+s,UB,DF
time = 0
[Command]
name = "AI13"
command = a+b+c+x,UF,y+z+a,UB,DF
time = 0
[Command]
name = "AI14"
command = a+b+c+x,UF,y+z+b,UB,DF
time = 0
[Command]
name = "AI15"
command = a+b+c+x,UF,y+z+c,UB,DF
time = 0
[Command]
name = "AI16"
command = a+b+c+x,UF,y+z+x,UB,DF
time = 0
[Command]
name = "AI17"
command = b,U,D,F,B,F,B,D,U,D,s
time = 0
[Command]
name = "AI18"
command = c,U,D,B,F,B,F,D,U,B,s
time = 0
[Command]
name = "AI19"
command = x,U,D,B,F,F,B,D,U,F,s
time = 0
[Command]
name = "AI20"
command = y,U,D,F,F,B,B,D,U,a,s
time = 0
[Command]
name = "AI21"
command = z,U,D,F,B,F,B,D,U,b,s
time = 0
[Command]
name = "AI22"
command = s,U,D,B,F,B,F,D,U,c,s
time = 0
[Command]
name = "AI23"
command = b,U,D,B,F,F,B,D,U,x,s
time = 0
[Command]
name = "AI24"
command = c,U,D,F,B,F,B,D,U,y,s
time = 0
[Command]
name = "AI25"
command = y,U,D,B,F,B,F,D,U,z,s
time = 0
[Command]
name = "AI26"
command = z,U,D,B,F,F,B,D,U,s,z
time = 0
[Command]
name = "AI27"
command = U,D,F,F,B,B,D,U,a+x,s
time = 0
[Command]
name = "AI28"
command = U,D,F,B,F,B,D,U,b+y,s
time = 0
[Command]
name = "AI29"
command = a,U,D,B,F,F,B,D,U,s,z
time = 0
[Command]
name = "AI30"
command = U,D,F,b,B,B,D,U,a+x,s
time = 0
[Command]
name = "AI31"
command = b,s,D,B,F,F,B,D,U,s,z
time = 0
[Command]
name = "AI32"
command = b+y,D,F,F,B,B,D,U,b+x,s
time = 0
[Command]
name = "AI33"
command = U,D,F,B,F,B,D,U,a+y,U
time = 0
[Command]
name = "AI34"
command = D,U,F,B,F,B,D,U,y,U
time = 0
[Command]
name = "AI35"
command = F,D,F,B,F,B,D,U,a,z
time = 0
[Command]
name = "AI36"
command = U,D,F,B,z,B,D,U,a+y,U
time = 0
[Command]
name = "AI37"
command = U,D,a,B,F,B,b,U,a+s,U
time = 0
[Command]
name = "AI38"
command = U,D,F,B,F,B,D,U,a+x,U
time = 0
[Command]
name = "AI39"
command = U,D,F,B,F,B,D,U,b+y,U
time = 0
[Command]
name = "AI40"
command = U,D,F,B,F,B,D,U,c+y,U
time = 0
[Command]
name = "AI41"
command = U,D,F,B,F,B,D,U,c,z
time = 0
[Command]
name = "AI42"
command = c,D,F,a,F,B,D,U,a+y,U
time = 0
[Command]
name = "AI43"
command = U,D,F,B,F,B,D,U,a+y,F
time = 0
[Command]
name = "AI44"
command = U,D,F,B,F,B,z,U,a+y,z+s
time = 0
[Command]
name = "AI45"
command = z,D,F,B,F,B,D,U,B,z
time = 0
[Command]
name = "AI46"
command = U,D,F,B,c,B,D,U,y,B
time = 0
[Command]
name = "AI47"
command = U,D,F,c,F,B,c+s,U,a+y,U
time = 0
[Command]
name = "AI48"
command = U,s,F,B,F,B,D,U,a+y,U
time = 0
[Command]
name = "AI49"
command = U,D,a+z,B,F,B,D,U,a+y,U
time = 0
[Command]
name = "AI50"
command = b,s,F,U,B,a,D,U,a+y,U
time = 0
[Command]
name = "AI51"
command = c,U,D,F,b+z,B,F,D,U,a
time = 0
[Command]
name = "AI52"
command = x,U,D,F,a+x,B,F,D,s,U
time = 0

;===========================================================================


; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]

;AI
[State -1, AI]
type = VarSet
triggerall = !var(59)
triggerall = (movetype != H) || (stateno = [120,160])
triggerall = !ishelper
trigger1 = command = "AI01"  || command = "AI02" || command = "AI03" || command = "AI04"
trigger2 = command = "AI05"  || command = "AI06" || command = "AI07" || command = "AI08"
trigger3 = command = "AI09"  || command = "AI10" || command = "AI11" || command = "AI12"
trigger4 = command = "AI13"  || command = "AI14" || command = "AI15" || command = "AI16"
trigger5 = command = "AI17"  || command = "AI18" || command = "AI19" || command = "AI20"
trigger6 = command = "AI21"  || command = "AI22" || command = "AI23" || command = "AI24"
trigger7 = command = "AI25"  || command = "AI26" || command = "AI27" || command = "AI28"
trigger8 = command = "AI29"  || command = "AI30" || command = "AI31" || command = "AI32"
trigger9 = command = "AI33"  || command = "AI34" || command = "AI35" || command = "AI36"
trigger10 = command = "AI37" || command = "AI38" || command = "AI39" || command = "AI40"
trigger11 = command = "AI41" || command = "AI42" || command = "AI43" || command = "AI44"
trigger12 = command = "AI45" || command = "AI46" || command = "AI47" || command = "AI48"
trigger13 = command = "AI49" || command = "AI50" || command = "AI51" || command = "AI52"
trigger14 = roundstate = 2 && palno < 7
var(59) = 1

;AIxݒ
[State -1, AI_Lv]
type = VarSet
triggerall = var(59)
trigger1 = roundstate = 2
v = 58
;AIx(1- 5)
value = 5

;AIK[hxݒ
[State -1, G_Lv]
type = VarSet
triggerall = var(59)
trigger1 = roundstate = 2
fv = 35
;AIK[hx 1- 5 (0ȉA5ȏ͓̐Ȃŉ)
value = 5

;===========================================================================

[State -1, AIK[hxꊇ1]
type = VarSet
triggerall = var(59)
triggerall = roundstate = 2
triggerall = (life = [1+(lifemax/2),lifemax])
trigger1 = (var(58) = [1,5]) && (fvar(35) = 1)
trigger1 = var(55) := (1*var(58))*(10+var(58))
trigger2 = (var(58) = [1,5]) && (fvar(35) = 2)
trigger2 = var(55) := (2*var(58))*(10+var(58))
trigger3 = (var(58) = [1,5]) && (fvar(35) = 3)
trigger3 = var(55) := (3*var(58))*(10+var(58))
trigger4 = (var(58) = [1,5]) && (fvar(35) = 4)
trigger4 = var(55) := (4*var(58))*(10+var(58))
value = var(55)

[State -1, AIK[hxꊇ2]
type = VarSet
triggerall = var(59)
triggerall = roundstate = 2
triggerall = (life = [1+(lifemax/8),lifemax/2])
trigger1 = (var(58) = [1,5]) && (fvar(35) = 1)
trigger1 = var(55) := (1*var(58))*(20+var(58))
trigger2 = (var(58) = [1,5]) && (fvar(35) = 2)
trigger2 = var(55) := (2*var(58))*(20+var(58))
trigger3 = (var(58) = [1,5]) && (fvar(35) = 3)
trigger3 = var(55) := (3*var(58))*(20+var(58))
trigger4 = (var(58) = [1,5]) && (fvar(35) = 4)
trigger4 = var(55) := (4*var(58))*(20+var(58))
value = var(55)

[State -1, AIK[hxꊇ3]
type = VarSet
triggerall = var(59)
triggerall = roundstate = 2
triggerall = (life = [1,lifemax/8])
trigger1 = (var(58) = [1,5]) && (fvar(35) = 1)
trigger1 = var(55) := (1*var(58))*(40+var(58))
trigger2 = (var(58) = [1,5]) && (fvar(35) = 2)
trigger2 = var(55) := (2*var(58))*(40+var(58))
trigger3 = (var(58) = [1,5]) && (fvar(35) = 3)
trigger3 = var(55) := (3*var(58))*(40+var(58))
trigger4 = (var(58) = [1,5]) && (fvar(35) = 4)
trigger4 = var(55) := (4*var(58))*(40+var(58))
value = var(55)

[State -1, AIK[hxꊇ4]
type = VarSet
triggerall = var(59)
triggerall = roundstate = 2
trigger1 = (var(58) = [1,5]) && (fvar(35) = 5)
trigger1 = var(55) := (10*var(58))*(15+var(58))
value = var(55)

;===========================================================================

[State -1, ^bOp]
type = VarSet
triggerall = var(59)
triggerall = roundstate = 2
trigger1 = numenemy <= 1
trigger2 = numenemy >= 2
trigger2 = enemynear(0),life > 0
trigger2 = ctrl || !numtarget || numtarget >= 2
trigger3 = numenemy >= 2
trigger3 = enemynear(0),life > 0
trigger3 = target,statetype = L || facing*(pos x - target,pos x) > 0
trigger4 = numenemy >= 2 && numtarget = 1
trigger4 = enemy(0),life > 0 && enemy(1),life > 0
trigger4 = enemynear(0),ID = target,ID
trigger4 = target,statetype != L
trigger4 = facing*(pos x - target,pos x) <= 0
trigger4 = !ctrl
var(57) = 0
ignorehitpause = 1

[State -1, ^bOp]
type = VarSet
triggerall = var(59)
triggerall = roundstate = 2
triggerall = numenemy >= 2
triggerall = !var(57)
trigger1 = enemynear(0),life <= 0
trigger2 = numenemy >= 2 && numtarget = 1
trigger2 = enemy(0),life > 0 && enemy(1),life > 0
trigger2 = enemynear(0),ID != target,ID
trigger2 = facing*(pos x - target,pos x) <= 0
trigger2 = target,statetype != L
trigger2 = !ctrl
var(57) = 1

;===========================================================================

[State -2, iL]
type = VarSet
triggerall = var(54) = 0
triggerall = !enemynear(var(57)),hitdefattr = SC, AT
trigger1 = statetype = C
trigger1 = movetype = H
trigger1 = enemynear(var(57)),statetype = S
trigger1 = enemynear(var(57)),movetype = A
trigger1 = prevstateno = [120,159]
trigger1 = stateno != [120,159]
trigger1 = stateno != [0,23]
var(54) = enemynear(var(57)),stateno
ignorehitpause = 1

[State -2, iLZbg]
type = VarSet
triggerall = var(54) != 0
trigger1 = roundstate != 2
trigger1 = teammode = turns
var(54) = 0
ignorehitpause = 1

[State -2, iL]
type = VarSet
triggerall = var(54) != 0
triggerall = var(53) = 0
triggerall = enemynear(var(57)),stateno != var(54)
triggerall = enemynear(var(57)),prevstateno != var(54)
triggerall = !enemynear(var(57)),hitdefattr = SC,AT
trigger1 = statetype = C
trigger1 = movetype = H
trigger1 = enemynear(var(57)),statetype = S
trigger1 = enemynear(var(57)),movetype = A
trigger1 = prevstateno = [120,159]
trigger1 = stateno != [120,159]
trigger1 = stateno != [0,23]
var(53) = enemynear(var(57)),stateno
ignorehitpause = 1

[State -2, iLZbg]
type = VarSet
triggerall = var(53) != 0
trigger1 = roundstate != 2
trigger1 = teammode = turns
trigger2 = var(54) = var(53)
var(53) = 0
ignorehitpause = 1

;==============================================================================


;؂Ԃ=======================================================================

[State -1,EgobNhbv]
type = ChangeState
value = 1400
triggerall = var(59) && roundstate = 2
triggerall = (var(9) != 4) && !var(49)
triggerall = statetype != A
triggerall = enemynear(var(57)),movetype != H
triggerall = enemynear(var(57)),statetype != L
triggerall = enemynear(var(57)),stateno != 5120
triggerall = p2dist x = [-24,56]
triggerall = ctrl || stateno = 22 || stateno = 23 || stateno = 100
triggerall = enemynear(var(57)),movetype = A
triggerall = random <= 400
triggerall = enemynear(var(57)),animtime <= -1
triggerall = enemynear(var(57)),time >= 30 || (!time && var(58) > 4) || var(58) > 3
trigger1 = (prevstateno = [5000,5270])
trigger2 = (prevstateno = [120,159])

[State -1,a]
type = ChangeState
value = 1000
triggerall = var(59) && roundstate = 2
triggerall = var(9) != 4
triggerall = enemynear(var(57)),movetype != H
triggerall = enemynear(var(57)),statetype != L
triggerall = enemynear(var(57)),stateno != 5120
triggerall = statetype != A
triggerall = p2bodydist x > 25 && p2bodydist y >= -28
triggerall = enemynear(var(57)),movetype = A
triggerall = ctrl || stateno = 22 || stateno = 23 || stateno = 100
triggerall = random <= 5*var(58)+22
triggerall = enemynear(var(57)),animtime <= -6
triggerall = enemynear(var(57)),time >= 30 || (!time && var(58) > 4) || var(58) > 3
trigger1 = (prevstateno = [5000,5270])
trigger2 = (prevstateno = [120,159])

;K[h==========================================================================

[State -1,K[h]
type = ChangeState
value = 120
triggerall = var(59) && roundstate = 2
triggerall = alive && statetype != L
triggerall = enemynear(var(57)),movetype != H
triggerall = !enemynear(var(57)),hitdefattr = SCA,AT
triggerall = inguarddist
triggerall = ctrl || stateno = 11 || (stateno = [22,23]) || (prevstateno = [30,31]) || (stateno = [40,45]) || (stateno = 100 && animtime = 0) || (stateno = 5120 && animtime = 0)
triggerall = random <= var(55)
trigger1 = p2bodydist x > 89 || enemynear(var(57)),time > 39
trigger1 = enemynear(var(57)),statetype != L
trigger2 = enemynear(var(57)),numproj > 0 || enemynear(var(57)),hitdefattr = SCA,AP
trigger3 = p2bodydist x = [-15,45]
trigger3 = enemynear(var(57)),hitdefattr = SCA,AA,AP
trigger4 = (p2bodydist x = [-15,10]) || (p2bodydist x = [-100,-30])
trigger4 = enemynear(var(57)),statetype = A
trigger5 = enemynear(var(57)),time > 6-var(58)
trigger5 = (prevstateno = [120,159]) || (prevstateno = [5000,5270])
trigger6 = p2bodydist x = [-20,30]
trigger6 = (stateno = [5000,5120]) && enemynear(var(57)),movetype = A
trigger7 = p2bodydist x = [50,100]
trigger7 = enemynear(var(57)),hitdefattr = SC,AA,AP
trigger8 = enemynear(var(57)),teammode = simul
trigger8 = p2bodydist x = [-50,-15]

;=====================================================================

[State -1,tgXebv]
type = ChangeState
value = 100
triggerall = var(59) && roundstate = 2
triggerall = var(9) = 4
triggerall = statetype != A
triggerall = p2dist x > 56
triggerall = ctrl || stateno = 22 || stateno = 23 || stateno = 100
trigger1 = enemynear(var(57)),statetype = L
trigger2 = enemynear(var(57)),movetype = H
trigger2 = enemynear(var(57)),stateno = [1910,1911]

[State -1,EgobNhbv]
type = ChangeState
value = 1400
triggerall = var(59) && roundstate = 2
triggerall = var(9) = 4
triggerall = statetype != A
triggerall = p2dist x <= 56
triggerall = p2dist x = [-25,56]
triggerall = ctrl || stateno = 22 || stateno = 23 || stateno = 100
trigger1 = enemynear(var(57)),statetype = L
trigger2 = enemynear(var(57)),movetype = H
trigger2 = enemynear(var(57)),stateno = [1910,1911]

;NU=======================================================================

[State -1,r]
type = ChangeState
value = 1100
triggerall = var(59) && roundstate = 2
triggerall = var(9) != 4
triggerall = statetype != A
triggerall = enemynear(var(57)),statetype = L
triggerall = enemynear(var(57)),stateno = 5120
triggerall = ctrl || stateno = 22 || stateno = 23 || stateno = 100
trigger1 = (p2bodydist x = [-50,25]) && (enemynear(var(57)),animtime <= 4)
trigger1 = random = [60,60*var(58)+77]
trigger2 = (p2bodydist x = [26,86]) && (enemynear(var(57)),animtime <= 3)
trigger2 = random = [50,50*var(58)+77]

[State -1,]
type = ChangeState
value = 23
triggerall = var(59) && roundstate = 2
triggerall = var(9) != 4
triggerall = statetype != A
triggerall = enemynear(var(57)),statetype = L
triggerall = backedgebodydist > 60
triggerall = ctrl
triggerall = random <= 125
trigger1 = p2bodydist x >= 50
trigger1 = enemynear(var(57)),stateno = [5100,5120]
trigger1 = !enemynear(var(57)),numproj
trigger1 = random <= 40*var(58)

;===========================================================================

[State -1,EgobNhbv]
type = ChangeState
value = 1400
triggerall = var(59) && roundstate = 2
triggerall = (var(9) != 4) && !var(49)
triggerall = statetype != A
triggerall = enemynear(var(57)),movetype != H
triggerall = enemynear(var(57)),statetype != L
triggerall = enemynear(var(57)),stateno != 5120
triggerall = p2dist x = [-24,56]
triggerall = ctrl || stateno = 22 || stateno = 23 || stateno = 100
trigger1 = p2bodydist y = 0
trigger1 = (enemynear,vel x = [-6,6]) || (enemynear(var(57)),vel x = 0)
trigger1 = random <= 350
trigger2 = (enemynear(var(57)),stateno != [1000,5210]) && (enemynear(var(57)),movetype = I || (enemynear(var(57)),stateno=[120,159]))
trigger2 = random <= 400
trigger3 = (facing = 1 && pos x > 0) || (facing = -1 && pos x <= 0)
trigger3 = random <= 450
trigger4 = !inguarddist
trigger4 = (p2bodydist x = [-10,10]) && !p2bodydist y
trigger4 = enemynear(var(57)),ctrl || enemynear(var(57)),movetype = A 
trigger4 = random <= 33+5*var(58)

;tG=========================================================================

[State -1,ߋp`]
type = ChangeState
value = 216
triggerall = var(59) && roundstate = 2
triggerall = var(9) != 4
triggerall = statetype != A
triggerall = enemynear(var(57)),statetype != C
triggerall = enemynear(var(57)),statetype != L
triggerall = enemynear(var(57)),stateno != 5120
triggerall = (enemynear(var(57)),stateno = [120,159]) || enemynear(var(57)),movetype != H
triggerall = ctrl || stateno = 22 || stateno = 23 || stateno = 100
triggerall = random <= 250+7*(6-var(58))
trigger1 = p2dist x < 55 && (p2bodydist y = [-115,-98))
trigger1 = enemynear(var(57)),statetype = A
trigger2 = p2dist x < 55 && p2bodydist y >= -115
trigger2 = !enemynear(var(57)),numproj
trigger2 = enemynear(var(57)),statetype = S && enemynear(var(57)),vel x = 0

[State -1,Ⴊݎp`]
type = ChangeState
value = 400
triggerall = var(59) && roundstate = 2
triggerall = var(9) != 4
triggerall = statetype != A
triggerall = enemynear(var(57)),statetype != C
triggerall = enemynear(var(57)),statetype != L
triggerall = enemynear(var(57)),stateno != 5120
triggerall = (enemynear(var(57)),stateno = [120,159]) || enemynear(var(57)),movetype != H
triggerall = ctrl || stateno = 22 || stateno = 23 || stateno = 100
triggerall = random <= 261+7*(6-var(58))
trigger1 = (p2bodydist x = [5,65]) && p2bodydist y >= -90
trigger1 = !enemynear(var(57)),numproj && enemynear(var(57)),statetype = A
trigger2 = (p2bodydist x = [-4,8]) && p2bodydist y >= -100
trigger2 = enemynear(var(57)),movetype = I
trigger2 = enemynear(var(57)),statetype = S && enemynear(var(57)),vel x = 0

[State -1,ႪݎLbN]
type = ChangeState
value = 430
triggerall = var(59) && roundstate = 2
triggerall = var(9) != 4
triggerall = statetype != A
triggerall = enemynear(var(57)),statetype != L
triggerall = enemynear(var(57)),stateno != 5120
triggerall = (enemynear(var(57)),stateno = [120,159]) || enemynear(var(57)),movetype != H
triggerall = ctrl || stateno = 22 || stateno = 23 || stateno = 100
triggerall = random <= 262+7*(6-var(58))
trigger1 = (p2bodydist x = [15,25]) && p2bodydist y >= -20
trigger1 = enemynear(var(57)),statetype != A && enemynear(var(57)),movetype != A
trigger1 = (p2bodydist x = [-5,5]) && p2bodydist y >= -10
trigger1 = !enemynear(var(57)),numproj || enemynear(var(57)),movetype = I

[State -1,p`]
type = ChangeState
value = 205
triggerall = var(59) && roundstate = 2
triggerall = var(9) != 4
triggerall = statetype != A
triggerall = enemynear(var(57)),statetype != C
triggerall = enemynear(var(57)),statetype != L
triggerall = enemynear(var(57)),stateno != 5120
triggerall = (enemynear(var(57)),stateno = [120,159]) || enemynear(var(57)),movetype != H
triggerall = ctrl || stateno = 22 || stateno = 23 || stateno = 100
triggerall = random <= 241+7*(6-var(58))
trigger1 = (p2dist x = [55,87]) && (p2bodydist y = [-115,-89))
trigger1 = enemynear(var(57)),statetype = S && !enemynear(var(57)),numproj

[State -1,LbN]
type = ChangeState
value = 245
triggerall = var(59) && roundstate = 2
triggerall = var(9) != 4
triggerall = statetype != A
triggerall = enemynear(var(57)),statetype != L
triggerall = enemynear(var(57)),stateno != 5120
triggerall = (enemynear(var(57)),stateno = [120,159]) || enemynear(var(57)),movetype != H
triggerall = ctrl || stateno = 22 || stateno = 23 || stateno = 100
triggerall = random <= 243+7*(6-var(58))
trigger1 = (p2dist x = [55,74]) && (p2bodydist y = [-100,-77))
trigger1 =  enemynear(var(57)),statetype = A
trigger2 = (p2dist x = [55,74]) && p2bodydist y >= -100
trigger2 = !enemynear(var(57)),numproj
trigger2 =  enemynear(var(57)),statetype != C || enemynear(var(57)),movetype = I

;t+=========================================================================

[State -1,Ⴊ݋p`]
type = ChangeState
value = 410
triggerall = var(59) && roundstate = 2
triggerall = var(9) != 4
triggerall = statetype != A
triggerall = enemynear(var(57)),movetype != H
triggerall = enemynear(var(57)),statetype != L
triggerall = enemynear(var(57)),stateno != 5120
triggerall = enemynear(var(57)),animtime <= -4 && enemynear(var(57)),movetype = I
triggerall = ctrl || stateno = 22 || stateno = 23 || stateno = 100
triggerall = random <= 243+7*(6-var(58))
trigger1 = (p2bodydist x = [10,50]) && (p2bodydist y >= -90)
trigger1 = ((enemynear(var(57)),stateno = [200,499]) && enemynear(var(57)),hitdefattr =SC,NA) ^^ (enemynear(var(57)),statetype != A && !enemynear(var(57)),ctrl)

[State -1,ႪݎLbN]
type = ChangeState
value = 430
triggerall = var(59) && roundstate = 2
triggerall = var(9) != 4
triggerall = statetype != A
triggerall = enemynear(var(57)),movetype != H
triggerall = enemynear(var(57)),statetype != L
triggerall = enemynear(var(57)),stateno != 5120
triggerall = ctrl || stateno = 22 || stateno = 23 || stateno = 100
triggerall = random <= 274+7*(6-var(58))
trigger1 = (p2bodydist x = [-5,10]) && (p2bodydist y >= -20)
trigger1 = enemynear(var(57)),statetype != A
trigger1 = enemynear(var(57)),movetype = A || (enemynear(var(57)),ctrl && enemynear(var(57)),hitdefattr = C,NA)

[State -1,Ⴊ݋LbN]
type = ChangeState
value = 440
triggerall = var(59) && roundstate = 2
triggerall = var(9) != 4
triggerall = statetype != A
triggerall = enemynear(var(57)),movetype != H
triggerall = enemynear(var(57)),statetype != L
triggerall = enemynear(var(57)),stateno != 5120
triggerall = enemynear(var(57)),animtime <= -4 && enemynear(var(57)),movetype = I
triggerall = ctrl || stateno = 22 || stateno = 23 || stateno = 100
triggerall = random <= 253+7*(6-var(58))
trigger1 = (p2bodydist x = [11,30]) && (p2bodydist y >= -20)
trigger1 = ((enemynear(var(57)),stateno = [200,499]) && enemynear(var(57)),hitdefattr =SC,NA) ^^ (enemynear(var(57)),statetype != A && !enemynear(var(57)),ctrl)
trigger2 = (p2bodydist x = [-15,45]) && (p2bodydist y >= -40)
trigger2 = (enemynear(var(57)),stateno != [0,119]) && enemynear(var(57)),movetype = I

[State -1,r]
type = ChangeState
value = 1100
triggerall = var(59) && roundstate = 2
triggerall = var(9) != 4
triggerall = statetype != A
triggerall = enemynear(var(57)),movetype != H
triggerall = enemynear(var(57)),statetype != L
triggerall = enemynear(var(57)),stateno != 5120
triggerall = !inguarddist
triggerall = enemynear(var(57)),animtime <= -7 && enemynear(var(57)),movetype = I
triggerall = ctrl || stateno = 22 || stateno = 23 || stateno = 100
trigger1 = p2bodydist x = [-5,80]
trigger1 = ((enemynear(var(57)),stateno = [200,699]) && enemynear(var(57)),hitdefattr =SCA,NA) ^^ (enemynear(var(57)),statetype = A && !enemynear,ctrl)
trigger1 = random <= 70+3*var(58)

[State -1,p`]
type = ChangeState
value = 215
triggerall = var(59) && roundstate = 2
triggerall = var(9) != 4
triggerall = enemynear(var(57)),movetype != H
triggerall = enemynear(var(57)),statetype != L
triggerall = enemynear(var(57)),stateno != 5120
triggerall = statetype != A
triggerall = enemynear(var(57)),animtime <= -4 && enemynear(var(57)),movetype = I
triggerall = ctrl || stateno = 22 || stateno = 23 || stateno = 100
trigger1 = (p2dist x >= 55 && p2dist x < 88) && ((p2bodydist y = [-113,-94)) || ((p2bodydist y >= -113) && enemynear(var(57)),statetype != C))
trigger1 = !enemynear(var(57)),numproj
trigger1 = ((enemynear(var(57)),stateno = [200,499]) && enemynear(var(57)),hitdefattr =SC,NA) ^^ (enemynear(var(57)),statetype != A && !enemynear(var(57)),ctrl)
trigger1 = random <= 251+7*(6-var(58))

;ړ===========================================================================

[State -1,Oi]
type = ChangeState
value = 22
triggerall = var(59) && roundstate = 2
triggerall = (var(9) != 4) && !var(49)
triggerall = statetype = S
triggerall = enemynear(var(57)),statetype != A
triggerall = enemynear(var(57)),movetype != H
triggerall = enemynear(var(57)),stateno != 5120
triggerall = !inguarddist
triggerall = frontedgebodydist > 0
triggerall = ctrl
triggerall = random <= 111+2*(6-var(58))
trigger1 = (p2bodydist x = [104,140]) && frontedgebodydist > 19
trigger1 = enemynear(var(57)),statetype = L
trigger1 = enemynear(var(57)),movetype != H
trigger1 = (enemynear(var(57)),stateno = [5100,5120]) || !enemynear(var(57)),numproj
trigger2 = (p2bodydist x = [106,182]) && enemynear(var(57)),movetype = I
trigger2 = enemynear(var(57)),statetype != L
trigger2 = (enemynear(var(57)),stateno = [120,159]) || enemynear(var(57)),vel x = 0
trigger3 = p2bodydist x >= 30 && frontedgebodydist > 29
trigger3 = enemynear(var(57)),statetype != L
trigger3 = enemynear(var(57)),movetype != H || ((enemynear(var(57)),stateno != [120,159]) && enemynear(var(57)),stateno < 200)

[State -1,]
type = ChangeState
value = 23
triggerall = var(59) && roundstate = 2
triggerall = var(9) != 4
triggerall = statetype = S
triggerall = enemynear(var(57)),movetype != H
triggerall = enemynear(var(57)),statetype != L
triggerall = enemynear(var(57)),stateno != 5120
triggerall = !inguarddist
triggerall = backedgebodydist >= 100
triggerall = ctrl
triggerall = random <= 101+2*(6-var(58))
trigger1 = (enemynear(var(57)),stateno != [120,159]) || enemynear(var(57)),statetype != A
trigger2 = p2bodydist x = [39,99]
trigger2 = !enemynear(var(57)),numproj || enemynear(var(57)),statetype != A
trigger2 = facing = enemynear(var(57)),facing

[State -1,tgXebv]
type = ChangeState
value = 100
triggerall = var(59) && roundstate = 2
triggerall = (var(9) != 4) && !var(49)
triggerall = statetype = S
triggerall = enemynear(var(57)),movetype != H
triggerall = enemynear(var(57)),statetype != L
triggerall = !inguarddist
triggerall = !enemynear(var(57)),numproj
triggerall = ctrl
trigger1 = p2bodydist x >= 40
trigger1 = (enemynear(var(57)),stateno != [120,159]) || (enemynear(var(57)),statetype = A || enemynear(var(57)),movetype != A)
trigger1 = random <= 30
trigger2 = p2bodydist x >= 183
trigger2 = enemynear(var(57)),statetype != A
trigger2 = random <= 50

[State -1,obNXebv]
type = ChangeState
value = 105
triggerall = var(59) && roundstate = 2
triggerall = var(9) != 4
triggerall = statetype = S
triggerall = enemynear(var(57)),movetype != H
triggerall = enemynear(var(57)),statetype != L
triggerall = !inguarddist
triggerall = !enemynear(var(57)),numproj
triggerall = ctrl
triggerall = backedgebodydist > 55
trigger1 = p2bodydist x < 22
trigger1 = (enemynear(var(57)),stateno != [120,159]) || enemynear(var(57)),statetype = A
trigger1 = random <= 20
trigger2 = p2bodydist x = [23,46]
trigger2 = enemynear(var(57)),movetype != A
trigger2 = facing = enemynear(var(57)),facing
trigger2 = random <= 10

;΋===========================================================================

[State -1,p`]
type = ChangeState
value = ifelse(p2dist x >= 88,200,ifelse(p2dist x<55,206,205))
triggerall = var(59) && roundstate = 2
triggerall = var(9) != 4
triggerall = statetype != A
triggerall = enemynear(var(57)),movetype != H
triggerall = enemynear(var(57)),statetype != L
triggerall = enemynear(var(57)),stateno != 5120
triggerall = enemynear(var(57)),statetype = A
triggerall = ctrl || stateno = 22 || stateno = 23 || stateno = 100
trigger1 = (p2bodydist x = [-5,105]) && (p2bodydist y = [-120,-95])
trigger1 = !enemynear(var(57)),numproj
trigger1 = random <= 209+2*(6-var(58))
trigger2 = (p2bodydist x = [0,103]) && (p2bodydist y = [-117,-97))
trigger2 = (enemynear(var(57)),stateno != [120,159]) && !enemynear(var(57)),numproj
trigger2 = random <= 219+2*(6-var(58))
trigger3 = (p2bodydist x = [10,100]) && (p2bodydist y = [-110,-90))
trigger3 = !enemynear(var(57)),numproj
trigger3 = enemynear(var(57)),movetype != A
trigger3 = random <= 199+2*(6-var(58))

[State -1,p`]
type = ChangeState
value = 215
triggerall = var(59) && roundstate = 2
triggerall = var(9) != 4
triggerall = enemynear(var(57)),movetype != H
triggerall = enemynear(var(57)),statetype != L
triggerall = enemynear(var(57)),stateno != 5120
triggerall = statetype != A
triggerall = enemynear(var(57)),statetype = A
triggerall = ctrl || stateno = 22 || stateno = 23 || stateno = 100
trigger1 = (p2dist x = [55,87]) && (enemynear(var(57)),pos y = [-150,-30])
trigger1 = !enemynear(var(57)),numproj
trigger1 = random <= 229+2*(6-var(58))

[State -1,LbN]
type = ChangeState
value = 230
triggerall = var(59) && roundstate = 2
triggerall = var(9) != 4
triggerall = statetype != A
triggerall = enemynear(var(57)),movetype != H
triggerall = enemynear(var(57)),statetype != L
triggerall = enemynear(var(57)),stateno != 5120
triggerall = enemynear(var(57)),statetype = A
triggerall = ctrl || stateno = 22 || stateno = 23 || stateno = 100
trigger1 = (p2dist x = [88,94]) && (p2bodydist y = [-102,-70))
trigger1 = !enemynear(var(57)),numproj
trigger1 = random <= 189+2*(6-var(58))

[State -1,LbN]
type = ChangeState
value = ifelse(p2dist x >= 88,240,ifelse(p2dist x<55,246,245))
triggerall = var(59) && roundstate = 2
triggerall = var(9) != 4
triggerall = statetype != A
triggerall = enemynear(var(57)),movetype != H
triggerall = enemynear(var(57)),statetype != L
triggerall = enemynear(var(57)),stateno != 5120
triggerall = (enemynear(var(57)),stateno != [120,159]) && enemynear(var(57)),statetype = A
triggerall = ctrl || stateno = 22 || stateno = 23 || stateno = 100
trigger1 = (p2dist x = [88,108]) && (p2bodydist y = [-121,-92))
trigger1 = !enemynear(var(57)),numproj
trigger1 = random <= 187+2*(6-var(58))

[State -1,ߋLbN]
type = ChangeState
value = 246
triggerall = var(59) && roundstate = 2
triggerall = var(9) != 4
triggerall = statetype != A
triggerall = enemynear(var(57)),movetype != H
triggerall = enemynear(var(57)),statetype != L
triggerall = enemynear(var(57)),stateno != 5120
triggerall = p2dist x < 55
triggerall = (enemynear(var(57)),stateno != [120,159]) && enemynear(var(57)),statetype = A
triggerall = ctrl || stateno = 22 || stateno = 23 || stateno = 100
trigger1 = p2bodydist y = [-150,-95)
trigger1 = !enemynear(var(57)),numproj
trigger1 = random <= 233+2*(6-var(58))

[State -1,zj]
type = ChangeState
value = 1300
triggerall = var(59) && roundstate = 2
triggerall = var(9) != 4
triggerall = statetype != A
triggerall = enemynear(var(57)),movetype != H
triggerall = enemynear(var(57)),statetype != L
triggerall = enemynear(var(57)),stateno != 5120
triggerall = enemynear(var(57)),statetype = A
triggerall = ctrl || stateno = 22 || stateno = 23 || stateno = 100
trigger1 = (p2bodydist x = [35,100]) && (p2bodydist y = [-109,-64])
trigger1 = !enemynear(var(57)),numproj
trigger1 = random <= 20+3*var(58)

[State -1,a]
type = ChangeState
value = 1000
triggerall = var(59) && roundstate = 2
triggerall = var(9) != 4
triggerall = statetype != A
triggerall = enemynear(var(57)),movetype != H
triggerall = enemynear(var(57)),statetype != L
triggerall = enemynear(var(57)),stateno != 5120
triggerall = !inguarddist
triggerall = enemynear(var(57)),statetype = A
triggerall = ctrl || stateno = 22 || stateno = 23 || stateno = 100
trigger1 = (p2bodydist x = [35,100]) && (enemynear(var(57)),pos y = [-150,-30])
trigger1 = (enemynear(var(57)),stateno = [40,699]) || enemynear(var(57)),hitdefattr = SA,NA
trigger1 = random <= 10+3*var(58)

;===========================================================================

[State -1,܂Ƃ]
type = ChangeState
value = ifelse(p2dist x >= 88,200,ifelse(p2dist x<55,236,235))
triggerall = var(59) && roundstate = 2
triggerall = var(9) != 4
triggerall = statetype != A
triggerall = enemynear(var(57)),movetype != H
triggerall = enemynear(var(57)),statetype != L
triggerall = (enemynear(var(57)),stateno != [120,159]) || enemynear(var(57)),statetype = A
triggerall = !enemynear(var(57)),numproj
triggerall = ctrl || stateno = 22 || stateno = 23 || stateno = 100
trigger1 = (p2bodydist y = [55,88]) && (p2bodydist y = [-115,-86])
trigger1 = !enemynear(var(57)),numproj
trigger1 = random = [23,225+2*(6-var(58))]
trigger2 = (p2bodydist y = [-8,64]) && (p2bodydist y = [-90,-75))
trigger2 = enemynear(var(57)),statetype != C
trigger2 = random = [21,215+2*(6-var(58))]
trigger3 = (p2bodydist x = [70,105]) && (p2bodydist y = [-106,-87))
trigger3 = enemynear(var(57)),statetype != C
trigger3 = random = [22,223+2*(6-var(58))]

[State -1,Ⴊ݋p`]
type = ChangeState
value = 410
triggerall = var(59) && roundstate = 2
triggerall = var(9) != 4
triggerall = statetype != A
triggerall = enemynear(var(57)),movetype != H
triggerall = enemynear(var(57)),statetype != L
triggerall = enemynear(var(57)),stateno != 5120
triggerall = ctrl || stateno = 22 || stateno = 23 || stateno = 100
trigger1 = (p2bodydist x = [5,65]) && (p2bodydist y = [-90,-71))
trigger1 = (enemynear(var(57)),stateno != [120,159]) || enemynear(var(57)),statetype != C
trigger1 = random = [22,221+2*(6-var(58))]

[State -1,r]
type = ChangeState
value = 1100
triggerall = var(59) && roundstate = 2
triggerall = var(9) != 4
triggerall = enemynear(var(57)),statetype != L
triggerall = enemynear(var(57)),stateno != 5120
triggerall = statetype != A
triggerall = !inguarddist
triggerall = ctrl || stateno = 22 || stateno = 23 || stateno = 100
trigger1 = (p2bodydist x = [-20,80]) && p2bodydist y >= -100
trigger1 = enemynear(var(57)),movetype != H
trigger1 = (enemynear(var(57)),stateno != [120,159]) || enemynear(var(57)),statetype = A
trigger1 = random <= 65+3*var(58)
trigger2 = (p2bodydist x = [21,101]) && p2bodydist y >= -100
trigger2 = !enemynear(var(57)),numproj
trigger2 = (enemynear(var(57)),stateno = [120,159]) || (enemynear(var(57)),statetype = S && enemynear(var(57)),movetype != H)
trigger2 = random <= 80+3*var(58)

[State -1,a]
type = ChangeState
value = 1000
triggerall = var(59) && roundstate = 2
triggerall = var(9) != 4
triggerall = enemynear(var(57)),statetype != L
triggerall = enemynear(var(57)),stateno != 5120
triggerall = statetype != A
triggerall = !inguarddist
triggerall = ctrl || stateno = 22 || stateno = 23 || stateno = 100
trigger1 = (p2bodydist x > 140 && p2bodydist y >= -65)
trigger1 = enemynear(var(57)),numproj <= 1
trigger1 = enemynear(var(57)),movetype != H
trigger1 = (enemynear(var(57)),stateno != [120,159]) || enemynear(var(57)),statetype = A
trigger1 = random <= 75+3*var(58)
trigger2 = p2bodydist x >= 150 && p2bodydist y >= -65
trigger2 = !enemynear(var(57)),numproj
trigger2 = (enemynear(var(57)),stateno != [120,159]) || (enemynear(var(57)),statetype = S && enemynear(var(57)),movetype != H)
trigger2 = random <= 50+3*var(58)

[State -1,zj]
type = ChangeState
value = 1300
triggerall = var(59) && roundstate = 2
triggerall = var(9) != 4
triggerall = !enemynear(var(57)),numproj
triggerall = enemynear(var(57)),movetype != H
triggerall = enemynear(var(57)),statetype != L
triggerall = enemynear(var(57)),stateno != 5120
triggerall = statetype != A
triggerall = ctrl || stateno = 22 || stateno = 23 || stateno = 100
trigger1 = (p2bodydist x = [35,180]) && p2bodydist y >= -105
trigger1 = (enemynear(var(57)),stateno = [120,159]) || enemynear(var(57)),statetype != A
trigger1 = random <= 55+6*var(58)

[State -1,r]
type = ChangeState
value = 1200
triggerall = var(59) && roundstate = 2
triggerall = var(9) != 4
triggerall = !enemynear(var(57)),numproj
triggerall = enemynear(var(57)),movetype != H
triggerall = enemynear(var(57)),statetype != L
triggerall = enemynear(var(57)),stateno != 5120
triggerall = statetype != A
triggerall = ctrl || stateno = 22 || stateno = 23 || stateno = 100
trigger1 = ((p2bodydist x = [60,109]) && p2bodydist y >= -134) || ((p2bodydist x = [110,195]) && p2bodydist y >= -80)
trigger1 = (enemynear(var(57)),stateno != [120,159]) || enemynear(var(57)),statetype = A
trigger1 = random <= 35+6*var(58)

;Ԃ=========================================================================

[State -1,܂Ƃ]
type = ChangeState
value = ifelse(p2dist x >= 88,210,ifelse(p2dist x<55,400,245))
triggerall = var(59) && roundstate = 2
triggerall = statetype != A
triggerall = enemynear(var(57)),statetype != L
triggerall = var(9) != 4
triggerall = enemynear(var(57)),movetype != H
triggerall = !(enemynear(var(57)),stateno = [1910,1911])
triggerall = !enemynear(var(57)),numproj
triggerall = enemynear(var(57)),stateno != 5120
triggerall = ctrl || stateno = 22 || stateno = 23 || stateno = 100
trigger1 = (p2bodydist x = [-5,65]) && p2bodydist y >= -90
trigger1 = enemynear(var(57)),statetype != A
trigger1 = enemynear(var(57)),movetype = A || (enemynear(var(57)),ctrl && enemynear(var(57)),hitdefattr = C,NA)
trigger1 = random = [17,165+2*(6-var(58))]
trigger2 = (p2bodydist x = [25,80]) && p2bodydist y >= -90
trigger2 = enemynear(var(57)),movetype = A || (enemynear(var(57)),ctrl && enemynear(var(57)),hitdefattr = SCA,NA)
trigger2 = random = [18,183+2*(6-var(58))]
trigger3 = p2bodydist x = [75,155]
trigger3 = enemynear(var(57)),statetype != C
trigger3 = enemynear(var(57)),movetype = A || (enemynear(var(57)),ctrl && enemynear(var(57)),hitdefattr = SA,NA)
trigger3 = random = [25,255+2*(6-var(58))]

[State -1,zj]
type = ChangeState
value = 1300
triggerall = var(59) && roundstate = 2
triggerall = statetype != A
triggerall = enemynear(var(57)),statetype != L
triggerall = var(9) != 4
triggerall = enemynear(var(57)),movetype != H
triggerall = !(enemynear(var(57)),stateno = [1910,1911])
triggerall = enemynear(var(57)),stateno != 5120
triggerall = ctrl || stateno = 22 || stateno = 23 || stateno = 100
trigger1 = p2bodydist y = [-105,-70]
trigger1 = enemynear(var(57)),movetype = A || (enemynear(var(57)),ctrl || enemynear(var(57)),hitdefattr =SC,NA)
trigger1 = ((p2bodydist x = [35,70]) && random <= 5*var(58)) || ((p2bodydist x = [71,121]) && random <= 10*var(58))

[State -1,r]
type = ChangeState
value = 1200
triggerall = var(59) && roundstate = 2
triggerall = statetype != A
triggerall = enemynear(var(57)),statetype != L
triggerall = var(9) != 4
triggerall = enemynear(var(57)),movetype != H
triggerall = !(enemynear(var(57)),stateno = [1910,1911])
triggerall = enemynear(var(57)),stateno != 5120
triggerall = ctrl || stateno = 22 || stateno = 23 || stateno = 100
trigger1 = p2bodydist x = [60,155]
trigger1 = enemynear(var(57)),statetype != A
trigger1 = enemynear(var(57)),movetype = A || (enemynear(var(57)),ctrl && enemynear(var(57)),hitdefattr =SC,NA)
trigger1 = random <= 11+5*var(58)

;===========================================================================

[State -1,Wv]
type = ChangeState
value = 60
triggerall = var(59) && roundstate = 2
triggerall = var(40) = 0
triggerall = var(9) != 4
triggerall = statetype = S
triggerall = enemynear(var(57)),movetype != H
triggerall = enemynear(var(57)),statetype != L
triggerall = p2bodydist x = [35,65]
triggerall = !inguarddist
triggerall = (stateno != [40,60]) && ((ctrl && stateno = 0) || (ctrl && stateno = 100))
trigger1 = !enemynear(var(57)),numproj || !enemynear(var(57)),hitdefattr = A,AP
trigger1 = enemynear(var(57)),statetype = A && enemynear(var(57)),movetype != A
trigger1 = random <= 3+2*(6-var(58))
trigger2 = !enemynear(var(57)),numproj
trigger2 = enemynear(var(57)),statetype != A && enemynear(var(57)),movetype != A
trigger2 = random <= 1+2*(6-var(58))

[State -1,Wvp`]
type = ChangeState
value = 600
triggerall = var(59) && roundstate = 2
triggerall = var(9) != 4
triggerall = enemynear(var(57)),movetype != H
triggerall = enemynear(var(57)),statetype != L
triggerall = enemynear(var(57)),stateno != 5120
triggerall = statetype = A
triggerall = (p2bodydist x = [-15,50]) && (p2bodydist y = [-30,50])
trigger1 = ctrl || (stateno = 60 && sysvar(1) = 1) || (stateno = [41,50])

[State -1,WvLbN]
type = ChangeState
value = 630
triggerall = var(59) && roundstate = 2
triggerall = var(9) != 4
triggerall = enemynear(var(57)),movetype != H
triggerall = enemynear(var(57)),statetype != L
triggerall = enemynear(var(57)),stateno != 5120
triggerall = statetype = A
triggerall = (p2bodydist x = [-15,100]) && (p2bodydist y = [-20,65])
trigger1 = ctrl || (stateno = 60 && sysvar(1) = 1) || (stateno = [41,50])

;==============================================================================

;
[State -1, Stand Light Punch]
type = null;ChangeState
value = 199
triggerall = var(59) && roundstate = [2,3]
triggerall = (enemynear(var(57)),stateno != [1910,1911]) || (var(9) != 4) || (var(49) = 3)
triggerall = enemynear(var(57)),movetype != H
triggerall = enemynear(var(57)),stateno != 5120
triggerall = p2dist x >= 205
trigger1 = statetype != A
trigger1 = ctrl || stateno != 199

;AI

;---------------------------------------------------------------------------
;zj
[State -1, Strong Kung Fu Upper]
type = ChangeState
value = 1300
triggerall = !var(59)
triggerall = command = "zj" || (command = "zjR}h" && command = "ςȂa")
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = [200,499]
trigger2 = movecontact

;---------------------------------------------------------------------------
;r
[State -1, Strong Kung Fu Upper]
type = ChangeState
value = 1200
triggerall = !var(59)
triggerall = command = "r" || (command = "rR}h" && command = "ςȂy")
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = [200,499]
trigger2 = movecontact

;---------------------------------------------------------------------------
;r
[State -1, Strong Kung Fu Upper]
type = ChangeState
value = 1100
triggerall = !var(59)
triggerall = command = "r" || (command = "rR}h" && command = "ςȂx")
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = [200,499]
trigger2 = movecontact

;---------------------------------------------------------------------------
;a
[State -1, Strong Kung Fu Upper]
type = ChangeState
value = 1000
triggerall = !var(59)
triggerall = command = "a" || (command = "aR}h" && (command = "ςȂx" || command = "ςȂy"))
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = [200,499]
trigger2 = movecontact

;===========================================================================
;---------------------------------------------------------------------------
;Run Fwd
;_bV
[State -1, Run Fwd]
type = ChangeState
value = 100
triggerall = !var(59)
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Run Back
;ރ_bV
[State -1, Run Back]
type = ChangeState
value = 105
triggerall = !var(59)
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;EgobNhbv
[State -1, Kung Fu Throw]
type = ChangeState
value = 1400
triggerall = !var(59)
triggerall = command = "y"
triggerall = command = "holdfwd"
triggerall = statetype != A
triggerall = ctrl
trigger1 = p2dist X <= 56

;===========================================================================
;---------------------------------------------------------------------------
;
[State -1, Stand Light Punch]
type = ChangeState
value = 199
triggerall = !var(59)
triggerall = command = "y" || command = "start"
triggerall = command != "holddown"
triggerall = command != "holdfwd"
triggerall = command != "holdback"
triggerall = p2dist x >= 205
triggerall = stateno != 199
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;Ⴊݎp`
[State -1, Crouching Light Punch]
type = ChangeState
value = 400
triggerall = !var(59)
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;Ⴊ݋p`
[State -1, Crouching Light Punch]
type = ChangeState
value = 410
triggerall = !var(59)
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;ႪݎLbN
[State -1, Crouching Light Punch]
type = ChangeState
value = 430
triggerall = !var(59)
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;Ⴊ݋LbN
[State -1, Crouching Light Punch]
type = ChangeState
value = 440
triggerall = !var(59)
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;p`
[State -1, Stand Light Punch]
type = ChangeState
value = 200
triggerall = !var(59)
triggerall = command = "x"
triggerall = command != "holddown"
triggerall = p2dist x >= 88
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;p`
[State -1, Stand Light Punch]
type = ChangeState
value = 205
triggerall = !var(59)
triggerall = command = "x"
triggerall = command != "holddown"
triggerall = p2dist x < 88
triggerall = p2dist x >= 55
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;ߋp`
[State -1, Stand Light Punch]
type = ChangeState
value = 206
triggerall = !var(59)
triggerall = command = "x"
triggerall = command != "holddown"
triggerall = p2dist x < 55
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;p`
[State -1, Stand Light Punch]
type = ChangeState
value = 210
triggerall = !var(59)
triggerall = command = "y"
triggerall = command != "holddown"
triggerall = p2dist x >= 88
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;p`
[State -1, Stand Light Punch]
type = ChangeState
value = 215
triggerall = !var(59)
triggerall = command = "y"
triggerall = command != "holddown"
triggerall = p2dist x < 88
triggerall = p2dist x >= 55
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;ߋp`
[State -1, Stand Light Punch]
type = ChangeState
value = 216
triggerall = !var(59)
triggerall = command = "y"
triggerall = command != "holddown"
triggerall = p2dist x < 55
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;LbN
[State -1, Stand Light Punch]
type = ChangeState
value = 230
triggerall = !var(59)
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = p2dist x >= 88
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;LbN
[State -1, Stand Light Punch]
type = ChangeState
value = 235
triggerall = !var(59)
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = p2dist x < 88
triggerall = p2dist x >= 55
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;ߋLbN
[State -1, Stand Light Punch]
type = ChangeState
value = 236
triggerall = !var(59)
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = p2dist x < 55
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;LbN
[State -1, Stand Light Punch]
type = ChangeState
value = 240
triggerall = !var(59)
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = p2dist x >= 88
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;LbN
[State -1, Stand Light Punch]
type = ChangeState
value = 245
triggerall = !var(59)
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = p2dist x < 88
triggerall = p2dist x >= 55
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;ߋLbN
[State -1, Stand Light Punch]
type = ChangeState
value = 246
triggerall = !var(59)
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = p2dist x < 55
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;Wvp`
[State -1, Jump Light Punch]
type = ChangeState
value = 600
triggerall = !var(59)
triggerall = command = "x" || (command = "ςȂx" && pos y <= -60)
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
;Wvp`
[State -1, Jump Light Punch]
type = ChangeState
value = 600
triggerall = !var(59)
triggerall = command = "y" || (command = "ςȂy" && pos y <= -60)
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
;WvLbN
[State -1, Jump Light Punch]
type = ChangeState
value = 630
triggerall = !var(59)
triggerall = command = "a" || (command = "ςȂa" && pos y <= -60)
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
;WvLbN
[State -1, Jump Light Punch]
type = ChangeState
value = 630
triggerall = !var(59)
triggerall = command = "b" || (command = "ςȂb" && pos y <= -60)
trigger1 = statetype = A
trigger1 = ctrl
